light-mode-image
Learn
API ReferenceClients

Create a client

Analytics Events

TENANT_CLIENT_CREATE_STARTTENANT_CLIENT_CREATE_SUCCESSTENANT_CLIENT_CREATE_FAIL
POST/v1/tenants/{tenantId}/clients

Creates a new client for the requested tenant.

Analytic events

  • TENANT_CLIENT_CREATE_START
  • TENANT_CLIENT_CREATE_SUCCESS
  • TENANT_CLIENT_CREATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

tenantId*string

Unique ID of the tenant to create a client for.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/clients" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "roles": [      "admin"    ]  }'
{  "clientId": "stringstringstringstringstringst",  "name": "string",  "permissions": [    "string"  ],  "roles": [    "admin"  ],  "clientSecret": "string"}

How would you rate this page?